import { ContainerModule } from 'inversify';
import { LANDING_SERVICE_TOKEN } from '../tokens';
import { LandingService } from '@/lib/services/landing/LandingService';

export const LandingModule = new ContainerModule((options) => {
  const bind = options.bind;

  // Landing Service
  bind<LandingService>(LANDING_SERVICE_TOKEN)
    .to(LandingService)
    .inSingletonScope();
});